﻿@import 'common-variant.css';

/*定義 預設的 物件 table、form、input、H、P、Div.... 等*/


/*
    共用 右方 工作列 (會員列表 . stock profolio...)
*/
.common-toolbar-list {
    background-color: #fcfcfc;
    margin: 0 0 20px 0;
    -webkit-box-shadow: 1px 1px 3px var(--base-box-shadow-color);
    box-shadow: 1px 1px 3px var(--base-box-shadow-color);
    padding: 0 0 10px 0;
    width: auto;
}

    .common-toolbar-list:last-child {
        min-height: calc(100vh - 500px);
    }
    /*新增區塊*/
    /*標題*/
    .common-toolbar-list > h3 {
        font-size: 1em;
        letter-spacing: 2px;
        margin: 0;
        color: #666666;
        padding: 20px 0 3px 10px;
    }
    /*列表*/
    .common-toolbar-list > ul {
        list-style: none;
        margin: 10px 20px 10px 20px;
        padding: 0;
    }

        .common-toolbar-list > ul > li {
            padding: 0 8px 5px 8px;
            font-size: 14px;
        }

            .common-toolbar-list > ul > li:hover {
                cursor: pointer;
            }

    .common-toolbar-list button {
        width: 100%;
        text-align: left;
        font-size: 14px;
    }

    .common-toolbar-list > ul > li > a {
        display: block;
        color: darkred;
        font-weight: bold;
        border-radius: 2px;
        font-size: 14px;
        letter-spacing: 2px;
        text-decoration: none;
        border-bottom: 1px dotted #dfdfdf;
        padding:5px;
    }

        .common-toolbar-list > ul > li > a:hover, .common-toolbar-list > ul > li > .active {
            color: #efefef;
            background-color: #999999;
        }

        .common-toolbar-list > ul > li i{
            display: inline-block;
            width: 20px;
            height: 20px;
            font-size: 14px;
            text-align: center;
            line-height: 14px;
            vertical-align: central;
            margin-right: 15px;
        }

    .common-toolbar-list button > i {
    }

.common-toolbar-list-fixed {
    position: fixed;
}

.common-toolbar-buttonMenu {
    display: none;
}



.common-ul {
    list-style: none;
}

.common-msgbox {
    position: absolute;
    width: 600px;
    height: 60px;
    top: 250px;
    left: calc(50% - 300px);
    text-align: center;
    display: block;
    z-index: 9999;
    font-size: 25px;
    line-height: 60px;
    vertical-align: central;
    border: 1px solid #00ff21;
}

/*分頁*/
.common-pager {
    text-align: center;
}

    .common-pager > button {
        display: inline-block;
        min-width: 40px;
        line-height: 30px;
        border: 1px solid #cccccc;
        border-radius: 3px;
        margin: 3px 3px;
        text-align: center;
        cursor: pointer;
        background-color: #fefefe;
    }

        .common-pager > button[disabled=true] {
            color: #cccccc;
            cursor: default;
        }

    .common-pager > .current {
        background-color: #4F81BD;
        color: #FFFFFF;
    }


/* bootstrap 支援部份 */
.comm-text-in-column {
    display: table-cell;
    vertical-align: middle;
    line-height: var(--base-bootstrap-column-line-height);
}

.comm-text-in-column-exp {
    display: table-cell;
    vertical-align: middle;
    line-height: var(--base-bootstrap-column-line-height);
    color: #ff6b6b;
}

.comm-checkbox-wrapper {
    display: inline-block;
    max-width: 350px;
    min-width: 110px;
    height: 36px;
    border: 1px solid #efefef;
    padding: 0 5px;
}

    .comm-checkbox-wrapper > label {
        font-weight: normal;
        font-size: 12px;
        cursor: pointer;
        margin-left: 0.25em;
        line-height: var(--base-bootstrap-column-line-height);
        vertical-align: middle;
    }

    .comm-checkbox-wrapper > input[type=checkbox] {
        cursor: pointer;
    }

.comm-row-text {
    display: block;
    vertical-align: middle;
    line-height: var(--base-bootstrap-column-line-height);
    min-height: 34px;
}

.comm-money {
    display: block;
    vertical-align: middle;
    text-align: right;
    line-height: var(--base-bootstrap-column-line-height);
    width: 75px;
    border: 0px solid #00a65a;
    height: 34px;
    position: relative;
}

    .comm-money > span {
        display: block;
        height: 34px;
        position: absolute;
        top: 0;
        right: -105px;
        text-align: left;
        border: 0px solid #3c8dbc;
        font-size: 10px;
        color: #999;
        line-height: var(--base-bootstrap-column-line-height);
        vertical-align: middle;
    }

.comm-message-warning {
    padding: 8px 15px;
    margin-left: -20px !important;
    margin: 0 !important;
    background-color: #f7f7f7;
    border-radius: 3px;
    border-left: 5px solid #eee;
    color: #a94442;
}

@media (min-width: 1200px) {
    .common-toolbar-list {
        margin: 0 0 0 0;
        padding: 0 0 0 0;
    }
}

@media (min-width: 980px) and (max-width: 1199px) {
}

@media (min-width: 768px) and (max-width: 979px) {
}

@media (max-width: 767px) {
    
    .common-toolbar-list {
        padding: 0;
        margin: 0 0 8px 0;
    }

        .common-toolbar-list:last-child {
            min-height: 120px;
        }

        .common-toolbar-list > h3 {
            display:none;
            font-size: 0.8em;
            letter-spacing: 5px;
            margin: 0;
            color: rgb(102 102 102);
            padding: 0 ;
            text-align:center;
        }

        .common-toolbar-list > ul {
            list-style: none;
            margin: 0;
            padding: 0;
        }

            .common-toolbar-list > ul > li {
                display: inline-block;
                /*min-width: 48.5%;*/
                border: 1px dotted #cccccc;
                margin: 0.25em;
                padding: 0.5em;
                border-radius: 5px;
                background-color: #efefef;
            }

                .common-toolbar-list > ul > li > a {
                    height: 25px;
                    line-height: 25px;
                    font-size: 14px;
                    border-bottom: 0;
                    padding:0;
                }

                .common-toolbar-list > ul > li i {
                    margin-right: 2px;
                }

    .common-toolbar-buttonMenu {
        display: block;
    }

    .common-toolbar-list-fixed {
        position: initial;
    }
}

@media (max-width: 480px) {
}


.common-edit-zone {
    width: auto;
    background-color: rgb(252 252 252);
    -webkit-box-shadow: 1px 1px 3px var(--base-box-shadow-color);
    box-shadow: 1px 1px 3px var(--base-box-shadow-color);
    border-radius: 1px;
    margin: 0;
    padding: 1em;
}


    .common-edit-zone h6 {
        font-weight: bold;
        font-size: 14px;
        text-align: right;
        line-height: 38px;
        padding: 0;
        margin: 0;
        vertical-align: central;
        color: #999999;
    }

        .common-edit-zone h6::after {
            content: ' : ';
        }

@media (min-width: 1200px) {
}

@media (min-width: 980px) and (max-width: 1199px) {
}

@media (min-width: 768px) and (max-width: 979px) {
}

@media (max-width: 767px) {
    .common-edit-zone h6 {
        text-align: left;
        line-height: inherit;
        vertical-align: bottom;
    }
}

@media (max-width: 480px) {
}


